UTxOs by Runes
curl --request GET \
--url https://xbt-mainnet.gomaestro-api.org/v0/assets/runes/{rune}/utxos \
--header 'api-key: <api-key>'import requests
url = "https://xbt-mainnet.gomaestro-api.org/v0/assets/runes/{rune}/utxos"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://xbt-mainnet.gomaestro-api.org/v0/assets/runes/{rune}/utxos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"address": "bc1ql8k89mfzqwjaqnq0y9uxummllp6v92fkykkv78",
"confirmations": 50,
"height": 840001,
"rune_amount": "1.00",
"satoshis": "546",
"script_pubkey": "0014f9ec72ed2203a5d04c0f21786e6f7ff874c2a936",
"txid": "fa2fa7ea017e9e8eaf701b26bb57c0ed3f550428b59df17bd789ad98f6bf5a2b",
"vout": 0
},
{
"address": "bc1qdkzx0dnzuyzjlu7qk86mc7rgkpwwms6zg5y5gd",
"confirmations": 50,
"height": 840001,
"rune_amount": "1.00",
"satoshis": "546",
"script_pubkey": "00146d8467b662e1052ff3c0b1f5bc7868b05cedc342",
"txid": "452378b6ef2bd45dbd1bada84b9468b57fcccbfef67777dfb99f5e8f3a7cfd80",
"vout": 0
}
],
"last_updated": {
"block_hash": "00000000000000000001332b3017e2b72bdd063145bbf808b3c1722a0fd60859",
"block_height": 840051
},
"next_cursor": "AAAAAAAM0UFggP18Oo9en7nfd3f2_svMf7VolEuorRu9XdQr77Z4I0VgAAAAAA"
}Runes
UTxOs by Runes
Get unspent transaction outputs containing a specific Bitcoin Rune token with amounts and holder information.
GET
/
assets
/
runes
/
{rune}
/
utxos
UTxOs by Runes
Authorizations
Project API Key
Path Parameters
Rune, specified either by the Rune ID (etching block number and transaction index) or name (spaced or un-spaced)
Query Parameters
The max number of results per page
Required range:
x >= 0The order in which the results are sorted (by height at which UTxO was produced)
Available options:
asc, desc Return only UTxOs created on or after a specific height
Required range:
x >= 0Return only UTxOs created on or before a specific height
Required range:
x >= 0Pagination cursor string, use the cursor included in a page of results to fetch the next page
Was this page helpful?

